Get IP List
This endpoint fetches IP List(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/iplist/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | IP List ID, if sent, request will fetch IP List with exact ID, otherwise it fill fetch all IP Lists. | optional |
| ActiveOnly | int | Request will fetch only active IP Lists if set to 1, otherwise it fill fetch all IP Lists. | optional |
To get IP List, send query parameter like this: Id=1
Or if you want to get all IP Lists, don’t include Id parameter, or set it as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "Name": "IP List 1", "VastTags": [ 7, 8 ], "RtbEps": [ 1, 2 ], "DspRtbEps": [ 3, 4 ], "DspPopFeeds": [ 5, 6 ], "IpCount": 16063, "IpRangesCount": 9895, "Global": 0, "Status": 0, "StatusString": "Active", "ListText": "127.0.0.1\n127.0.0.2\n127.0.0.3"}[ { "Id": 1, "TeamId": 1, "Name": "IP List 1", "VastTags": [ 7, 8 ], "RtbEps": [ 1, 2 ], "DspRtbEps": [ 3, 4 ], "DspPopFeeds": [ 5, 6 ], "IpCount": 16063, "IpRangesCount": 9895, "Global": 0, "Status": 0, "StatusString": "Active" }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |